<?xml version="1.0" encoding="UTF-8"?>
<itemizer language-context="python">
	
	<!-- Classes -->
	<item name="python.class">
		<class>ESCodeClassItem</class>
		<zone itemize-subzones="true">x-item-body:has-child(class.definition:has-child(name:capture(name)))</zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>
	
	<!-- Functions -->
	<item name="python.function">
		<zone itemize-subzones="true">x-item-body:has-child(function.definition:has-child(name:capture(name)))</zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>
	
	<!-- Arbitrary control statements -->
	<item name="python.control-statements.root">
		<class>ESJSChunkBlockItem</class>
		<zone itemize-subzones="true">x-item-body.x-item-block:has-child(x-item-start:capture(name))</zone>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>
	<item name="python.control-statements">
		<class>ESJSChunkBlockItem</class>
		<zone-sequence>
			<zone>x-item-block:not(x-item-body) x-item-start:capture(name)</zone>
			<zone itemize-subzones="true">x-item-body</zone>
		</zone-sequence>
		<subitems>
			<include-root-itemizers/>
		</subitems>
	</item>
	
	<!-- '''My docstring''' -->
	<item name="python.comment.docstring">
	    <class>ESCommentItem</class>
	    <zone>string.long.quoted</zone>
	</item>
	
	<!-- #!/usr/bin/python-->
	<item name="python.shebang">
		<class>ESCommentItem</class>
		<zone>comment.shebang</zone>
	</item>

</itemizer>